Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Department Total Points

Get Departments' Total Points
GET /highscores/{highscoreId}/departments
https://api.uat.relesystest.net/api/v1.4/highscores/{highscoreId}/departments
Get total points for each department in the highscore with ID highscoreId.
Default sort is by value in descending order.

Please note: Only users with more than 0 points will be shown.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
departmentId string / guid Filterable optional
value integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"departmentId":"b290f741-e4d5-4d08-a269-9d77a96f1d06","url":null,"value":250},{"departmentId":"6690f4b3-9f4a-4025-a27e-97c03e1801d1","url":null,"value":500}]}
object
  count integer      
  ⯈ data array[object]      
   id string / guid      
   url string      
   value integer      
  nextUrl string      
  previousUrl string